liblzma5_5.2.4-1+b1_i386.deb


Advertisement

Description

liblzma5 - XZ-format compression library

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename liblzma5_5.2.4-1+b1_i386.deb
Package name liblzma5
Package version 5.2.4
Package release 1+b1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://tukaani.org/xz/
License -
Maintainer Jonathan Nieder <jrnieder@gmail.com>
Download size 156.76 KB
Installed size 279.00 KB

Alternatives

Package Version Architecture Repository
liblzma5_5.2.4-1+b1_amd64.deb 5.2.4 amd64 Debian Main
liblzma5 - - -

Requires

Name Value
libc6 >= 2.17

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblzma5_5.2.4-1+b1_i386.deb
Source Package xz-utils

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblzma5 deb package:
    # sudo apt-get install liblzma5

Files

Path
/lib/i386-linux-gnu/liblzma.so.5
/lib/i386-linux-gnu/liblzma.so.5.2.4
/usr/share/doc/liblzma5/AUTHORS
/usr/share/doc/liblzma5/NEWS.gz
/usr/share/doc/liblzma5/THANKS
/usr/share/doc/liblzma5/changelog.Debian.gz
/usr/share/doc/liblzma5/changelog.Debian.i386.gz
/usr/share/doc/liblzma5/changelog.gz
/usr/share/doc/liblzma5/copyright

Changelog

2019-01-27 - Jonathan Nieder <jrnieder@gmail.com>
xz-utils (5.2.4-1) unstable; urgency=low
* New upstream release.  Closes: #851615.
* Standards-Version: 4.3.0 (checked).
* Use an XZ compressed tarball for upstream source.
* Add upstream signing key and verify tarball at "uscan" time.
* Drop patches; all were applied or otherwise fixed upstream.
* Update copyright file.
* debian/control:
- Use a stable repo.or.cz URL for packaging repo.
Closes: #826382.  Thanks to Rolf Leggewie.
- Use https for upstream homepage URL.
- No longer Build-Depends: freebsd-glue on kfreebsd.
* get-orig-source: Use https for upstream Git repository.
* liblzma:
- Remove compatibility tricks that permit sharing a process with
liblzma.so.2.  This means liblzma.a no longer depends on libdl
at run time.
Closes: #919950.  Thanks to Josh Triplett.
- Breaks: liblzma2 versions without symbol versioning.
- Priority: optional.
* xz-utils:
- Lower priority of xz-utils to standard.  Closes: #685203.
- README.Debian: Remove notes about differences from upstream.
- Remove old NEWS.Debian.
2017-06-28 - Ximin Luo <infinity0@debian.org>
xz-utils (5.2.2-1.3) unstable; urgency=medium
* Non-maintainer upload.
* Force a constant /bin/sh for installed scripts. This helps the build
be reproducible; /bin/sh on Debian is always POSIX. (Closes: #806331)
2016-10-08 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
xz-utils (5.2.2-1.2) unstable; urgency=medium
* Non-maintainer upload.
* link against libfreebsd-glue on kfreebsd-* (Closes: #840063)
2016-09-26 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
xz-utils (5.2.2-1.1) unstable; urgency=medium
* Non-maintainer upload.
* switch to git-dpm for packaging (closes: #540405)
* New Upstream (closes: #731634)
- no more "xzless error in line 49" (closes: #693537)
- xzgrep -h works (closes: #780268)
* update symbol file
* enable threads for the "normal build"
2015-06-18 - Helmut Grohne <helmut@subdivi.de>
xz-utils (5.1.1alpha+20120614-2.1) unstable; urgency=medium
[ Helmut Grohne ]
* Non-maintainer upload.
[ Colin Watson ]
* Remove build-dependency on perl; we use no non-trivial Perl modules so
the Essential perl-base is perfectly adequate, and an unadorned
build-dependency on perl is problematic for cross-building.
Closes: #697328.
2012-09-10 - Jonathan Nieder <jrnieder@gmail.com>
xz-utils (5.1.1alpha+20120614-2) unstable; urgency=low
* Apply fixes from 5.1.2alpha.  Closes: #685220.
- liblzma: report a LZMA_DATA_ERROR when range encoded data starts
with a nonzero byte.  This is a sanity check to catch malformed
files that no known encoders produce.
- xz -v -v --list: Support for decompressing blocks with
zero-length uncompressed data was added in xz 5.0.2, not 5.0.3.
- xz.1: "xz --robot -v -v --list" gained a "minimum xz version to
decompress" field.
* xz-utils/README.Debian: Document differences from upstream.
Closes: #685217.

See Also

Package Description
liblzo2-2_2.10-0.1_i386.deb data compression library
liblzo2-dev_2.10-0.1_i386.deb data compression library (development files)
libm17n-0_1.8.0-2_i386.deb multilingual text processing library - runtime
libm17n-dev_1.8.0-2_i386.deb multilingual text processing library - development
libm17n-im-config-dev_0.9.0-5_i386.deb input method configuration library for m17n-lib - development
libm17n-im-config0_0.9.0-5_i386.deb input method configuration library for m17n-lib - runtime
libm4ri-0.0.20140914_20140914-2+b2_i386.deb Method of the Four Russians Inversion library, shared library
libm4ri-dev_20140914-2+b2_i386.deb Method of the Four Russians Inversion library, development files
libm4rie-0.0.20150908_20150908-2+b1_i386.deb extended Method of the Four Russians Inversion library, shared library
libm4rie-dev_20150908-2+b1_i386.deb extended Method of the Four Russians Inversion library, development files
libmaa-dev_1.4.4-1_i386.deb maa programming library, development files
libmaa4_1.4.4-1_i386.deb maa programming library
libmac-widgets-doc_0.10.0+svn416-dfsg1-3_all.deb documentation for libmac-widgets-java
libmac-widgets-java_0.10.0+svn416-dfsg1-3_all.deb collection of Mac style widgets written in Java
libmad-ocaml-dev_0.4.4-2+b1_i386.deb OCaml bindings for the MAD library (Development package)
Advertisement
Advertisement